ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefan Bodewig <bode...@apache.org>
Subject Re: having datatypes load classes
Date Fri, 11 Apr 2003 13:45:56 GMT
On Thu, 10 Apr 2003, Marc Portier <mpo@outerthought.org> wrote:

> seems to me however the current LoaderUtil more has somewhat of a
> jdk-version match-up function?

It used to be used for that, yes.  But this part of its functionality
is no longer needed in Ant 1.6 as we've dropped JDK 1.1 compatibility.

>> CVS HEAD is going to drop Java 1.1 compatibility, so some changes
>> in the whole classloader area are to be expected.
> 
> could you elaborate, and maybe be explicit on how this can affect my
> doing ATM?

If only I knew 8-)

One thing that looks as if it was changing is that Ant's classes
themselves will be loaded by a classloader that is not the system
classloader.  I don't think it is going to affect your doing, but I'm
not 100% sure.

The other thing is that you may be able to simplify things when you
know you don't have to care about 1.1 compatibilty.

Stefan

Mime
View raw message